/*
 * @(#)ZToggleButtonAction.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot.action;

import java.awt.event.ActionEvent;

import javax.swing.JToggleButton;

import jp.co.iti.fagot.IZApp;
/**
 * JToggleButtonアクションです。
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class ZToggleButtonAction extends ZAction {
	/**
	 * 唯一のコンストラクタです。
	 * @param app      アプリケーションクラス
	 * @param btn      ボタン
	 * @param szAction アクション名
	 */
	public ZToggleButtonAction(IZApp app, JToggleButton btn,String szAction) {
    super(app,szAction);
	mBtn = btn ;

	// 初期設定
	mBtn.setEnabled(true);
    mBtn.setActionCommand(szAction);
    mBtn.addActionListener(this);
	}

	/**
	 * ON
	 */
	public void on() {
	mBtn.setSelected(true);
	}
	/**
	 * OFF
	 */
	public void off() {
	mBtn.setSelected(false);
	}

	/**
	 * Toggle
	 */
	public void toggle() {
	mBtn.setSelected(!mBtn.isSelected());
	}

	//## アトリビュート ###############################################
    /**
     * コンポーネント
     */
	protected JToggleButton mBtn = null ;
}
